Masumi Logo

/x402-networks

Lists the EVM chains configured for the standard x402 payment rail.

GET
/x402/networks
token<token>

API key authentication via header (token)

In: header

Response Body

application/json

curl -X GET "https://loading/./../api/v1/x402/networks"
{
  "status": "success",
  "data": {
    "Networks": [
      {
        "id": "clx402network0001",
        "caip2Id": "eip155:8453",
        "displayName": "Base",
        "rpcUrl": "https://mainnet.base.org",
        "isTestnet": false,
        "isEnabled": true,
        "defaultAsset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "facilitatorWalletId": "clmanagedwallet0001",
        "facilitatorWalletAddress": "0x1111111111111111111111111111111111111111",
        "createdById": "api_key_id",
        "createdAt": "2026-06-02T12:00:00.000Z",
        "updatedAt": "2026-06-02T12:00:00.000Z"
      }
    ]
  }
}
Masumi Kanji